> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Sem Estoque (Out of Stock)

> Retorna a lista de produtos cujo saldo disponível no estoque é igual ou menor a zero.

### Query Parameters

<ParamField query="limit" type="number" default="20">
  Quantidade limite de retornos.
</ParamField>

<ParamField query="warehouseId" type="string">
  Opcional. ID de filtro por depósito.
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
      "sku": "PROD-Z",
      "name": "Fone Bluetooth Escassez",
      "availableQuantity": 0,
      "lastSaleDate": "2024-01-10T15:30:00.000Z"
    }
  ]
  ```
</ResponseExample>


## OpenAPI

````yaml get /inventory/dashboard/out-of-stock
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /inventory/dashboard/out-of-stock:
    get:
      tags:
        - Inventory Dashboard
      summary: Produtos sem estoque
      operationId: InventoryDashboardController_getOutOfStock
      parameters:
        - name: warehouseId
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Lista de itens sem estoque
      security:
        - bearer: []
components: {}

````